#include <stdio.h>
#include <malloc.h>

extern struct foo {
	short 	seg;
	short	x1;
	short	_near *x2;
	short	_near *x3;
	short	_near *x4;
	short	_near *x5;
	short	x6;
} _nheap_desc;

int _far x;

main()
{
	char _near *cp;

	printf("%#x->%#x %#x->%#x %#x->%#x %#x->%#x\n",
		(short)_nheap_desc.x2,
		*_nheap_desc.x2,
		(short)_nheap_desc.x3,
		*_nheap_desc.x3,
		(short)_nheap_desc.x4,
		*_nheap_desc.x4,
		(short)_nheap_desc.x5,
		*_nheap_desc.x5);
	cp = _nmalloc(10);
	printf("cp=%#x\n", (short)cp);
	printf("%#x->%#x %#x->%#x %#x->%#x %#x->%#x\n",
		(short)_nheap_desc.x2,
		*_nheap_desc.x2,
		(short)_nheap_desc.x3,
		*_nheap_desc.x3,
		(short)_nheap_desc.x4,
		*_nheap_desc.x4,
		(short)_nheap_desc.x5,
		*_nheap_desc.x5);
}
